/**
 * 关联文件信息
 */
export default interface IRelationFile {
    /**
     * 编号
     */
    id: string;
    /**
     * 目标文件路径
     */
    target: string;
    /**
     * html内容
     */
    htmlContent: string;
    /**
     * 生成Content_types.xml内容类型引用定义
     */
    getContentTypeXml(): string;
    /**
     * 生成OpenXML内容
     * @param isLast 是否是最后一个关联文件
     */
    documentOPENXML(isLast: boolean): string;
    /**
     * 获取关联xml
     */
    getRelationXml(): string;
}
