"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var FooterFileInfo = /** @class */ (function () {
    function FooterFileInfo() {
        /**
         * 编号
         */
        this.id = '';
        /**
         * 目标文件路径
         */
        this.target = '';
        /**
         * html内容
         */
        this.htmlContent = '';
        /**
         * 排除不加
         */
        this.exceptSectionIdx = -1;
    }
    Object.defineProperty(FooterFileInfo.prototype, "mhtName", {
        get: function () {
            return this.target.split('/').pop();
        },
        enumerable: false,
        configurable: true
    });
    /**
     * 生成openxml文本内容
     * @param isLast
     */
    FooterFileInfo.prototype.documentOPENXML = function (isLast) {
        return "<w:footerReference w:type='default'  r:id='" + this.id + "'/>";
    };
    /**
     * 生成Content_types.xml内容类型引用定义
     */
    FooterFileInfo.prototype.getContentTypeXml = function () {
        return "<Override PartName='" + this.target + "' ContentType='application/vnd.openxmlformats-officedocument.wordprocessingml.footer+xml'/>\n            <Override PartName='/word/footer-empty.xml' ContentType='application/vnd.openxmlformats-officedocument.wordprocessingml.footer+xml'/>";
    };
    /**
     * 生成关联文件xml内容
     */
    FooterFileInfo.prototype.getRelationXml = function () {
        return "<Relationship Type=\"http://schemas.openxmlformats.org/officeDocument/2006/relationships/footer\" Target='" + this.target + "' Id='" + this.id + "'/>\n            <Relationship Type=\"http://schemas.openxmlformats.org/officeDocument/2006/relationships/footer\" Target=\"/word/header-empty.xml\" Id=\"rId-empty\"/>";
    };
    return FooterFileInfo;
}());
exports.default = FooterFileInfo;
