"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var HeaderFileInfo = /** @class */ (function () {
    function HeaderFileInfo() {
        /**
         * 编号
         */
        this.id = '';
        /**
         * 目标文件路径
         */
        this.target = '';
        /**
         * html内容
         */
        this.htmlContent = '';
        /**
         * 排除不加
         */
        this.exceptSectionIdx = -1;
    }
    Object.defineProperty(HeaderFileInfo.prototype, "mhtName", {
        get: function () {
            return this.target.split('/').pop();
        },
        enumerable: false,
        configurable: true
    });
    /**
     * 生成document.xml文件中的openxml文本内容
     * @param isLast
     */
    HeaderFileInfo.prototype.documentOPENXML = function (isLast) {
        return "<w:headerReference w:type='frist' r:id='" + this.id + "' />";
    };
    /**
     * 生成Content_types.xml内容类型引用定义
     */
    HeaderFileInfo.prototype.getContentTypeXml = function () {
        return "<Override PartName='" + this.target + "' ContentType='application/vnd.openxmlformats-officedocument.wordprocessingml.header+xml'/>\n            <Override PartName='/word/header-empty.xml' ContentType='application/vnd.openxmlformats-officedocument.wordprocessingml.header+xml'/>";
    };
    /**
     * 生成关联文件xml内容
     */
    HeaderFileInfo.prototype.getRelationXml = function () {
        return "<Relationship Type='http://schemas.openxmlformats.org/officeDocument/2006/relationships/header' Target='" + this.target + "' Id='" + this.id + "' />\n            <Relationship Type=\"http://schemas.openxmlformats.org/officeDocument/2006/relationships/header\" Target=\"/word/header-empty.xml\" Id=\"rId-empty\" />";
    };
    return HeaderFileInfo;
}());
exports.default = HeaderFileInfo;
