import { DocumentOptions } from '../internal';
/**
 * 关联文件信息
 */
export default class RelationFileInfo {
    /**
     * 编号
     */
    id: string;
    /**
     * 目标文件路径
     */
    target: string;
    /**
     * html内容
     */
    htmlContent: string;
    /**
     * 文档章节配置
     * @private
     */
    private _sectionOption;
    get mhtName(): string | undefined;
    get ContentXml(): string;
    get RelsXml(): string;
    constructor(id: string | number, html: string, options: Partial<DocumentOptions>);
    /**
     * 生成MHT内容
     */
    generalMhtDocument(): string;
    /**
     * 生成document文本内容
     */
    documentOPENXML(isLast?: boolean): string;
}
