"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../utils");
var internal_1 = require("../internal");
var templates_1 = require("../templates");
/**
 * 关联文件信息
 */
var RelationFileInfo = /** @class */ (function () {
    function RelationFileInfo(id, html, options) {
        /**
         * 编号
         */
        this.id = '';
        /**
         * 目标文件路径
         */
        this.target = '';
        /**
         * html内容
         */
        this.htmlContent = '';
        this.id = "htmlChunk" + id;
        this.target = "/word/afchunk" + id + ".mht";
        this.htmlContent = html;
        var documentOptions = internal_1.mergeOptions(internal_1.defaultDocumentOptions, options);
        var orientation = documentOptions.orientation, margins = documentOptions.margins;
        var marginsOptions = internal_1.mergeOptions(templates_1.defaultMargins, margins);
        var width = 0;
        var height = 0;
        if (orientation === 'landscape') {
            height = 12240;
            width = 15840;
        }
        else {
            width = 12240;
            height = 15840;
        }
        this._sectionOption = { height: height, width: width, orientation: orientation, marginsOptions: marginsOptions };
    }
    Object.defineProperty(RelationFileInfo.prototype, "mhtName", {
        get: function () {
            return this.target.split('/').pop();
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RelationFileInfo.prototype, "ContentXml", {
        get: function () {
            return "<Override PartName='" + this.target + "' ContentType='message/rfc822'/>";
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RelationFileInfo.prototype, "RelsXml", {
        get: function () {
            return "<Relationship Type='http://schemas.openxmlformats.org/officeDocument/2006/relationships/aFChunk' Target='" + this.target + "' Id='" + this.id + "' />";
        },
        enumerable: false,
        configurable: true
    });
    /**
     * 生成MHT内容
     */
    RelationFileInfo.prototype.generalMhtDocument = function () {
        return utils_1.getMHTdocument(this.htmlContent);
    };
    /**
     * 生成document文本内容
     */
    RelationFileInfo.prototype.documentOPENXML = function (isLast) {
        if (isLast === void 0) { isLast = false; }
        var _a = this._sectionOption, width = _a.width, height = _a.height, orient = _a.orientation, margins = _a.marginsOptions;
        var openXml = "<w:p>\n                      <w:altChunk r:id='" + this.id + "'/>\n                  </w:p>";
        var sectPr = "<w:sectPr>\n                  <w:pgSz w:w='" + width + "' w:h='" + height + "' w:orient='" + orient + "' />\n                  <w:pgMar w:top='" + margins.top + "'\n                           w:right='" + margins.right + "'\n                           w:bottom='" + margins.bottom + "'\n                           w:left='" + margins.left + "'\n                           w:header='" + margins.header + "'\n                           w:footer='" + margins.footer + "'\n                           w:gutter='" + margins.gutter + "'/>\n                </w:sectPr>";
        if (isLast) {
            return "" + openXml + sectPr;
        }
        else {
            return openXml + "<w:p>\n                <w:pPr>" + sectPr + "</w:pPr>\n              </w:p>";
        }
        // return `<w:p>
        //             <w:altChunk r:id='${this.id}'/>
        //         </w:p>
        //         <w:p>
        //          <w:pPr>
        //             <w:sectPr>
        //               <w:pgSz w:w='${width}' w:h='${height}' w:orient='${orient}' />
        //               <w:pgMar w:top='${margins.top}'
        //                        w:right='${margins.right}'
        //                        w:bottom='${margins.bottom}'
        //                        w:left='${margins.left}'
        //                        w:header='${margins.header}'
        //                        w:footer='${margins.footer}'
        //                        w:gutter='${margins.gutter}'/>
        //             </w:sectPr>
        //           </w:pPr>
        //         </w:p>`
    };
    return RelationFileInfo;
}());
exports.default = RelationFileInfo;
