import { DocumentOptions } from '../internal';
import IRelationFile from './IRelationFile';
import WordFile from './wordFile';
/**
 * 节点文件信息
 */
export default class SectionFileInfo implements IRelationFile {
    /**
     * 编号
     */
    id: string;
    /**
     * 目标文件路径
     */
    target: string;
    /**
     * html内容
     */
    htmlContent: string;
    /**
     * 文档章节配置
     * @private
     */
    private _sectionOption;
    /**
     * word文件上下文对象引用
     */
    _wordf: WordFile;
    get mhtName(): string | undefined;
    /**
     * 生成关联文件xml内容
     */
    getRelationXml(): string;
    constructor(id: string | number, html: string, options: Partial<DocumentOptions>, wordf: WordFile);
    /**
     * 生成MHT内容
     */
    generalMhtDocument(): string;
    /**
     * 生成document.xml文件中的openxml文本内容
     */
    documentOPENXML(isLast?: boolean): string;
    /**
     * 生成Content_types.xml内容类型引用定义
     */
    getContentTypeXml(): string;
    /**
     * 获取页眉xml内容
     * @param isLast
     * @private
     */
    private getHeaderDocumentXML;
    /**
     * 获取页脚xml内容
     * @param isLast
     * @private
     */
    private getFooterDocumentXML;
}
