"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.footerDocumentTemplate = exports.emptyHeaderDocumentTemplate = exports.headerDocumentTemplate = exports.documentTemplate = exports.defaultMargins = void 0;
exports.defaultMargins = {
    top: 1440,
    right: 1440,
    bottom: 1440,
    left: 1440,
    header: 720,
    footer: 720,
    gutter: 0,
};
exports.documentTemplate = function (width, height, orient, margins) {
    return "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n<w:document\n  xmlns:w=\"http://schemas.openxmlformats.org/wordprocessingml/2006/main\"\n  xmlns:m=\"http://schemas.openxmlformats.org/officeDocument/2006/math\"\n  xmlns:r=\"http://schemas.openxmlformats.org/officeDocument/2006/relationships\"\n  xmlns:wp=\"http://schemas.openxmlformats.org/drawingml/2006/wordprocessingDrawing\"\n  xmlns:a=\"http://schemas.openxmlformats.org/drawingml/2006/main\"\n  xmlns:ns6=\"http://schemas.openxmlformats.org/schemaLibrary/2006/main\"\n  xmlns:c=\"http://schemas.openxmlformats.org/drawingml/2006/chart\"\n  xmlns:ns8=\"http://schemas.openxmlformats.org/drawingml/2006/chartDrawing\"\n  xmlns:dgm=\"http://schemas.openxmlformats.org/drawingml/2006/diagram\"\n  xmlns:pic=\"http://schemas.openxmlformats.org/drawingml/2006/picture\"\n  xmlns:ns11=\"http://schemas.openxmlformats.org/drawingml/2006/spreadsheetDrawing\"\n  xmlns:dsp=\"http://schemas.microsoft.com/office/drawing/2008/diagram\"\n  xmlns:ns13=\"urn:schemas-microsoft-com:office:excel\"\n  xmlns:o=\"urn:schemas-microsoft-com:office:office\"\n  xmlns:v=\"urn:schemas-microsoft-com:vml\"\n  xmlns:w10=\"urn:schemas-microsoft-com:office:word\"\n  xmlns:ns17=\"urn:schemas-microsoft-com:office:powerpoint\"\n  xmlns:odx=\"http://opendope.org/xpaths\"\n  xmlns:odc=\"http://opendope.org/conditions\"\n  xmlns:odq=\"http://opendope.org/questions\"\n  xmlns:odi=\"http://opendope.org/components\"\n  xmlns:odgm=\"http://opendope.org/SmartArt/DataHierarchy\"\n  xmlns:ns24=\"http://schemas.openxmlformats.org/officeDocument/2006/bibliography\"\n  xmlns:ns25=\"http://schemas.openxmlformats.org/drawingml/2006/compatibility\"\n  xmlns:ns26=\"http://schemas.openxmlformats.org/drawingml/2006/lockedCanvas\">\n  <w:body>\n    <w:altChunk r:id=\"htmlChunk\" />\n    <w:sectPr>\n      <w:pgSz w:w=\"" + width + "\" w:h=\"" + height + "\" w:orient=\"" + orient + "\" />\n      <w:pgMar w:top=\"" + margins.top + "\"\n               w:right=\"" + margins.right + "\"\n               w:bottom=\"" + margins.bottom + "\"\n               w:left=\"" + margins.left + "\"\n               w:header=\"" + margins.header + "\"\n               w:footer=\"" + margins.footer + "\"\n               w:gutter=\"" + margins.gutter + "\"/>\n    </w:sectPr>\n  </w:body>\n</w:document>\n";
};
/**
 * 页眉模板
 * @param headerContent
 */
exports.headerDocumentTemplate = function (headerContent) {
    return "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n<w:hdr\n    xmlns:wpc=\"http://schemas.microsoft.com/office/word/2010/wordprocessingCanvas\"\n    xmlns:mc=\"http://schemas.openxmlformats.org/markup-compatibility/2006\"\n    xmlns:o=\"urn:schemas-microsoft-com:office:office\"\n    xmlns:r=\"http://schemas.openxmlformats.org/officeDocument/2006/relationships\"\n    xmlns:m=\"http://schemas.openxmlformats.org/officeDocument/2006/math\"\n    xmlns:v=\"urn:schemas-microsoft-com:vml\"\n    xmlns:wp14=\"http://schemas.microsoft.com/office/word/2010/wordprocessingDrawing\"\n    xmlns:wp=\"http://schemas.openxmlformats.org/drawingml/2006/wordprocessingDrawing\"\n    xmlns:w10=\"urn:schemas-microsoft-com:office:word\"\n    xmlns:w=\"http://schemas.openxmlformats.org/wordprocessingml/2006/main\"\n    xmlns:w14=\"http://schemas.microsoft.com/office/word/2010/wordml\"\n    xmlns:w15=\"http://schemas.microsoft.com/office/word/2012/wordml\"\n    xmlns:wpg=\"http://schemas.microsoft.com/office/word/2010/wordprocessingGroup\"\n    xmlns:wpi=\"http://schemas.microsoft.com/office/word/2010/wordprocessingInk\"\n    xmlns:wne=\"http://schemas.microsoft.com/office/word/2006/wordml\"\n    xmlns:wps=\"http://schemas.microsoft.com/office/word/2010/wordprocessingShape\"\n    xmlns:wpsCustomData=\"http://www.wps.cn/officeDocument/2013/wpsCustomData\" mc:Ignorable=\"w14 w15 wp14\">\n    <w:p>\n        <w:pPr>\n            <w:pBdr>\n                <w:bottom w:val=\"single\" w:color=\"auto\" w:sz=\"4\" w:space=\"0\"/>\n            </w:pBdr>\n            <w:tabs>\n                <w:tab w:val=\"right\" w:pos=\"13958\"/>\n            </w:tabs>\n            <w:jc w:val=\"left\"/>\n            <w:rPr>\n                <w:rFonts w:hint=\"eastAsia\" w:eastAsia=\"\u5B8B\u4F53\"/>\n                <w:lang w:eastAsia=\"zh-CN\"/>\n            </w:rPr>\n        </w:pPr>\n        <w:r>\n            <w:rPr>\n                <w:rFonts w:hint=\"eastAsia\"/>\n                <w:u w:val=\"none\"/>\n                <w:lang w:eastAsia=\"zh-CN\"/>\n            </w:rPr>\n            <w:t>" + headerContent + "</w:t>\n        </w:r>\n         <w:r>\n            <w:rPr>\n                <w:rFonts w:hint=\"eastAsia\"/>\n                <w:lang w:eastAsia=\"zh-CN\"/>\n            </w:rPr>\n            <w:tab/>\n        </w:r>\n    </w:p>\n</w:hdr>";
};
/**
 * 空页眉模板
 */
exports.emptyHeaderDocumentTemplate = "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n<w:hdr xmlns:w=\"http://schemas.openxmlformats.org/wordprocessingml/2006/main\">\n    <w:p />\n</w:hdr>";
/**
 * 页脚模板
 * @param headerContent
 */
exports.footerDocumentTemplate = function () {
    return "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n<w:ftr xmlns:wpc=\"http://schemas.microsoft.com/office/word/2010/wordprocessingCanvas\"\nxmlns:mc=\"http://schemas.openxmlformats.org/markup-compatibility/2006\"\nxmlns:o=\"urn:schemas-microsoft-com:office:office\"\nxmlns:r=\"http://schemas.openxmlformats.org/officeDocument/2006/relationships\"\nxmlns:m=\"http://schemas.openxmlformats.org/officeDocument/2006/math\"\nxmlns:v=\"urn:schemas-microsoft-com:vml\"\nxmlns:wp14=\"http://schemas.microsoft.com/office/word/2010/wordprocessingDrawing\"\nxmlns:wp=\"http://schemas.openxmlformats.org/drawingml/2006/wordprocessingDrawing\"\nxmlns:w10=\"urn:schemas-microsoft-com:office:word\"\nxmlns:w=\"http://schemas.openxmlformats.org/wordprocessingml/2006/main\"\nxmlns:w14=\"http://schemas.microsoft.com/office/word/2010/wordml\"\nxmlns:w15=\"http://schemas.microsoft.com/office/word/2012/wordml\"\nxmlns:wpg=\"http://schemas.microsoft.com/office/word/2010/wordprocessingGroup\"\nxmlns:wpi=\"http://schemas.microsoft.com/office/word/2010/wordprocessingInk\"\nxmlns:wne=\"http://schemas.microsoft.com/office/word/2006/wordml\"\nxmlns:wps=\"http://schemas.microsoft.com/office/word/2010/wordprocessingShape\"\nxmlns:wpsCustomData=\"http://www.wps.cn/officeDocument/2013/wpsCustomData\" mc:Ignorable=\"w14 w15 wp14\">\n    <w:p>\n        <w:pPr>\n            <w:pStyle w:val=\"8\"/>\n            <w:framePr w:wrap=\"around\" w:vAnchor=\"text\" w:hAnchor=\"margin\" w:xAlign=\"center\" w:y=\"1\"/>\n            <w:rPr>\n                <w:rStyle w:val=\"42\"/>\n            </w:rPr>\n        </w:pPr>\n        <w:r>\n            <w:fldChar w:fldCharType=\"begin\"/>\n        </w:r>\n        <w:r>\n            <w:rPr>\n                <w:rStyle w:val=\"42\"/>\n            </w:rPr>\n            <w:instrText xml:space=\"preserve\">PAGE  </w:instrText>\n        </w:r>\n        <w:r>\n            <w:fldChar w:fldCharType=\"separate\"/>\n        </w:r>\n        <w:r>\n            <w:rPr>\n                <w:rStyle w:val=\"42\"/>\n            </w:rPr>\n            <w:t>35</w:t>\n        </w:r>\n        <w:r>\n            <w:fldChar w:fldCharType=\"end\"/>\n        </w:r>\n    </w:p>\n    <w:p>\n        <w:pPr>\n            <w:pStyle w:val=\"8\"/>\n        </w:pPr>\n    </w:p>\n</w:ftr>";
};
