/**
 * @jest-environment node
 */
import createWord, { asBlob } from '../index'
import fs from 'fs'

const HTML_CASE = `<!DOCTYPE html>
<html lang='en'>
<head>
  <meta charset='UTF-8'>
  <title>Document</title>
</head>
<body>
  <h1>jest test</h1>
</body>
</html>`

const HTML_CASE_2 = `<!DOCTYPE html>
<html lang='en'>
<head>
  <meta charset='UTF-8'>
  <title>Document</title>
</head>
<body>
  <h1>测试内容2</h1>
</body>
</html>`

const HTML_CASE_3 = `<!DOCTYPE html>
<html lang='en'>
<head>
  <meta charset='UTF-8'>
  <title>Document3</title>
</head>
<div style='mso-element:header' id='h0' ><p class='MsoHeader' > 页眉 </p></div>
<body>
  <h1>这个是网页3</h1>
  <p>
  asdfads<br>
  asdfads<br>
  asdfads<br>
  asdfads<br>
  asdfads<br>
  asdfads<br>
  asdfads<br>
  asdfads<br>
  asdfads<br>
  asdfads<br>
  asdfads<br>
  asdfads<br>
  asdfads<br>
  asdfads<br>
  asdfads<br>
  asdfads<br>
  asdfads<br>
   asdfads<br>
  asdfads<br>
  asdfads<br>
  asdfads<br>
  asdfads<br>
  asdfads<br>
  asdfads<br>
  asdfads<br>
  asdfads<br>
  asdfads<br>
  asdfads<br>
  asdfads<br>
  asdfads<br>
  asdfads<br>
  asdfads<br>
  asdfads<br>
  asdfads<br>
</p>
</body>
</html>`


describe('arguments test', () => {
  test(`html`, async () => {
    const data = await asBlob(HTML_CASE)
    expect(data).toBeInstanceOf(Buffer)
  })
})

describe('多章节word生成测试', () => {
  test('html', async () => {
    const wordFile = createWord('报表')
    wordFile.addSection(HTML_CASE_3, { orientation: 'landscape', margins: { left: 720, right: 720 } })
    wordFile.addSection(HTML_CASE, { orientation: 'portrait', margins: { left: 720, right: 720 } })
    wordFile.addSection(HTML_CASE_2, { orientation: 'landscape', margins: { left: 720, right: 720 } })
    wordFile.setSectionHeader('绵阳市游仙区2023年度考核', wordFile.rFileArr.length - 1)
    wordFile.setSectionFooter('', wordFile.rFileArr.length - 1)
    const wrodBlod = await wordFile.asBlob()
    // tslint:disable-next-line:no-shadowed-variable
    const fs = require('fs')
    expect(wrodBlod).toBeInstanceOf(Buffer)
    try {
      fs.writeFileSync('多html.docx', wrodBlod)
    } catch (e) {
    }
  })
})
