/**
 * 页眉文件
 */
import IRelationFile from './IRelationFile'

export default class HeaderFileInfo implements IRelationFile {
  /**
   * 编号
   */
  id: string = ''
  /**
   * 目标文件路径
   */
  target: string = ''
  /**
   * html内容
   */
  htmlContent: string = ''

  /**
   * 排除不加
   */
  exceptSectionIdx: number = -1

  get mhtName() {
    return this.target.split('/').pop()
  }

  /**
   * 生成document.xml文件中的openxml文本内容
   * @param isLast
   */
  documentOPENXML(isLast: boolean): string {
    return `<w:headerReference w:type='frist' r:id='${this.id}' />`
  }

  /**
   * 生成Content_types.xml内容类型引用定义
   */
  getContentTypeXml(): string {
    return `<Override PartName='${this.target}' ContentType='application/vnd.openxmlformats-officedocument.wordprocessingml.header+xml'/>
            <Override PartName='/word/header-empty.xml' ContentType='application/vnd.openxmlformats-officedocument.wordprocessingml.header+xml'/>`
  }

  /**
   * 生成关联文件xml内容
   */
  getRelationXml(): string {
    return `<Relationship Type='http://schemas.openxmlformats.org/officeDocument/2006/relationships/header' Target='${this.target}' Id='${this.id}' />
            <Relationship Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/header" Target="/word/header-empty.xml" Id="rId-empty" />`
  }
}
