import { addFiles, generateDocument, DocumentOptions } from './internal'
import JSZip = require('jszip')
import WordFile from './extends/wordFile'

export async function asBlob(html: string, options: Partial<DocumentOptions> = {}) {
  const zip = new JSZip()
  addFiles(zip, html, options)
  return await generateDocument(zip)
}

/**
 * 创建一个word文档对象
 * @param fileName 文件名
 */
export default function createWord(fileName: string) {
  const wf = new WordFile(fileName)
  return wf
}
